-- DESKTOP ASSETS
--
-- This directory contains all media files used by awesome,
-- and this script configures their paths.
--
-- Raw file paths should NEVER be referenced anywhere else.
-- Use the `assets.*` table.


local sounds = require("assets.sounds")
local icons = require("assets.icons")
local app_icons = require("assets.apps")

local overrides = function(theme)
	theme.sounds = sounds
	theme.icons = icons
	theme.app_icons = app_icons

	-- Generate Awesome icon
	--theme.awesome_icon = beautiful.theme_assets.awesome_icon(
	--	theme.menu_height,
	--	theme.color.blue1,
	--	theme.color.white
	--)

	-- Icon variables

	theme.menu_submenu_icon = icons.submenu

	theme.layout_cornerne = icons.layout.cornerne
	theme.layout_cornernw = icons.layout.cornernw
	theme.layout_cornerse = icons.layout.cornerse
	theme.layout_cornersw = icons.layout.cornersw
	theme.layout_dwindle = icons.layout.dwindle
	theme.layout_fairh = icons.layout.fairh
	theme.layout_fairv = icons.layout.fairv
	theme.layout_floating = icons.layout.floating
	theme.layout_fullscreen = icons.layout.fullscreen
	theme.layout_magnifier = icons.layout.magnifier
	theme.layout_max = icons.layout.max
	theme.layout_spiral = icons.layout.spiral
	theme.layout_tile = icons.layout.tile
	theme.layout_tilebottom = icons.layout.tilebottom
	theme.layout_tileleft = icons.layout.tileleft
	theme.layout_tiletop = icons.layout.tiletop


	theme.titlebar_close_button_focus_hover = icons.titlebar.close.focus_hover
	theme.titlebar_close_button_focus = icons.titlebar.close.focus
	theme.titlebar_close_button_normal_hover = icons.titlebar.close.normal_hover
	theme.titlebar_close_button_normal = icons.titlebar.close.normal

	theme.titlebar_floating_button_focus_inactive_hover = icons.titlebar.floating.inactive.focus_hover
	theme.titlebar_floating_button_focus_inactive = icons.titlebar.floating.inactive.focus
	theme.titlebar_floating_button_normal_inactive_hover = icons.titlebar.floating.inactive.normal_hover
	theme.titlebar_floating_button_normal_inactive = icons.titlebar.floating.inactive.normal
	theme.titlebar_floating_button_focus_active_hover = icons.titlebar.floating.active.focus_hover
	theme.titlebar_floating_button_focus_active = icons.titlebar.floating.active.focus
	theme.titlebar_floating_button_normal_active_hover = icons.titlebar.floating.active.normal_hover
	theme.titlebar_floating_button_normal_active = icons.titlebar.floating.active.normal

	theme.titlebar_maximized_button_focus_inactive_hover = icons.titlebar.maximize.inactive.focus_hover
	theme.titlebar_maximized_button_focus_inactive = icons.titlebar.maximize.inactive.focus
	theme.titlebar_maximized_button_normal_inactive_hover = icons.titlebar.maximize.inactive.normal_hover
	theme.titlebar_maximized_button_normal_inactive = icons.titlebar.maximize.inactive.normal
	theme.titlebar_maximized_button_focus_active_hover = icons.titlebar.maximize.active.focus_hover
	theme.titlebar_maximized_button_focus_active = icons.titlebar.maximize.active.focus
	theme.titlebar_maximized_button_normal_active_hover = icons.titlebar.maximize.active.normal_hover
	theme.titlebar_maximized_button_normal_active = icons.titlebar.maximize.active.normal

	theme.titlebar_minimize_button_focus_hover = icons.titlebar.minimize.focus_hover
	theme.titlebar_minimize_button_focus = icons.titlebar.minimize.focus
	theme.titlebar_minimize_button_normal_hover = icons.titlebar.minimize.normal_hover
	theme.titlebar_minimize_button_normal = icons.titlebar.minimize.normal

	theme.titlebar_ontop_button_focus_inactive_hover = icons.titlebar.ontop.inactive.focus_hover
	theme.titlebar_ontop_button_focus_inactive = icons.titlebar.ontop.inactive.focus
	theme.titlebar_ontop_button_normal_inactive_hover = icons.titlebar.ontop.inactive.normal_hover
	theme.titlebar_ontop_button_normal_inactive = icons.titlebar.ontop.inactive.normal
	theme.titlebar_ontop_button_focus_active_hover = icons.titlebar.ontop.active.focus_hover
	theme.titlebar_ontop_button_focus_active = icons.titlebar.ontop.active.focus
	theme.titlebar_ontop_button_normal_active_hover = icons.titlebar.ontop.active.normal_hover
	theme.titlebar_ontop_button_normal_active = icons.titlebar.ontop.active.normal

	theme.titlebar_sticky_button_focus_inactive_hover = icons.titlebar.sticky.inactive.focus_hover
	theme.titlebar_sticky_button_focus_inactive = icons.titlebar.sticky.inactive.focus
	theme.titlebar_sticky_button_normal_inactive_hover = icons.titlebar.sticky.inactive.normal_hover
	theme.titlebar_sticky_button_normal_inactive = icons.titlebar.sticky.inactive.normal
	theme.titlebar_sticky_button_focus_active_hover = icons.titlebar.sticky.active.focus_hover
	theme.titlebar_sticky_button_focus_active = icons.titlebar.sticky.active.focus
	theme.titlebar_sticky_button_normal_active_hover = icons.titlebar.sticky.active.normal_hover
	theme.titlebar_sticky_button_normal_active = icons.titlebar.sticky.active.normal

	return theme
end

return overrides
