local function screenshot_action(mode)
	awful.spawn(
		"fish " .. conf_dir .. "modules/screenshot/screenshot.fish " .. mode,
		false
	)
end


return {
	keybinds = gears.table.join(
		awful.key( {}, "Print",
			function ()
				screenshot_action("normal")
			end,

			{
				description = "Take a screenshot",
				group = "Screenshot"
			}
		),

		awful.key( {"Control", "Shift"}, "Print",
			function ()
				screenshot_action("ocr-rus")
			end,

			{
				description = "OCR Capture (Russian)",
				group = "Screenshot"
			}
		),

		awful.key( {"Control"}, "Print",
			function ()
				screenshot_action("ocr-eng")
			end,

			{
				description = "OCR Capture (English)",
				group = "Screenshot"
			}
		),

		awful.key( {"Shift"}, "Print",
			function ()
				screenshot_action("pin")
			end,

			{
				description = "Pin a screenshot",
				group = "Screenshot"
			}
		),

		awful.key( {"Mod1"}, "Print",
			function ()
				-- Make sure your default printer is set in CUPS!
				screenshot_action("lpr")
			end,
			{
				description = "Print a screenshot",
				group = "Screenshot"
			}
		)
	)
}
